## python-svg.path 6.3

=== Makefile ===
root_dir := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))
ifdef NO_VENV
bin_dir :=
python_exe := python3
endif
ifndef NO_VENV
bin_dir := $(root_dir)/ve/bin/
python_exe := $(bin_dir)python3
endif

all: devenv check test

# The fullrelease script is a part of zest.releaser, which is the last
# package installed, so if it exists, the devenv is installed.
devenv:	$(bin_dir)fullrelease setup.cfg

$(bin_dir):
	virtualenv ve --python python3.9

$(bin_dir)fullrelease: $(bin_dir)
	$(python_exe) -m pip install -e .[test]

check: devenv
	$(bin_dir)black src tests
	$(bin_dir)flake8 src tests
	$(bin_dir)pyroma -d .
	$(bin_dir)check-manifest

coverage: devenv
	$(bin_dir)coverage run $(bin_dir)pytest
	$(bin_dir)coverage html
	$(bin_dir)coverage report

test: devenv
	$(bin_dir)pytest

release:
	$(bin_dir)fullrelease

clean:
	rm -rf ve .coverage htmlcov build .pytest_cache

## python-svg.path 2.0.1

=== debian/changelog ===
python-svg.path (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * test_doc-absolute-path.patch (applied upstream) and deb/patches removed.
  * deb/control: use https for Vcs-Browser.

 -- Daniel Stender <debian@danielstender.com>  Thu, 29 Oct 2015 14:47:54 +0100

python-svg.path (2.0-1) unstable; urgency=low

  * Initial release (Closes: #775238).

 -- Daniel Stender <debian@danielstender.com>  Fri, 16 Oct 2015 20:31:12 +0200

=== debian/control ===
Source: python-svg.path
Maintainer: Daniel Stender <debian@danielstender.com>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Section: python
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-svg.path.git
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-svg.path.git
Homepage: https://github.com/regebro/svg.path
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.1

Package: python-svg.path
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: SVG path objects and parser for Python
 In SVG (Scalable Vector Graphics), paths are used to draw simple or
 compounded shape outlines. svg.path is a collection of objects
 that implement the path commands in SVG (Line, Arc, QuadraticBezier,
 CubicBezier), and a parser for SVG path definitions.
 .
 This package contains the modules for Python.

Package: python3-svg.path
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: SVG path objects and parser for Python3
 In SVG (Scalable Vector Graphics), paths are used to draw simple or
 compounded shape outlines. svg.path is a collection of objects
 that implement the path commands in SVG (Line, Arc, QuadraticBezier,
 CubicBezier), and a parser for SVG path definitions.
 .
 This package contains the modules for Python3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=svg.path

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs -A README.rst

=== debian/tests/control ===
Tests: python-svg.path
Depends: python-all, python-setuptools

Tests: python3-svg.path
Depends: python3-all, python3-setuptools

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/svg.path/svg.path-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-svg.path 2.1.1

=== debian/changelog ===
python-svg.path (2.1.1-2) unstable; urgency=medium

  * Orphan package:
    + deb/control: put Debian QA into Maintainer field, drop Uploaders.

 -- Daniel Stender <stender@debian.org>  Mon, 19 Jun 2017 16:21:40 +0200

python-svg.path (2.1.1-1) unstable; urgency=medium

   * New upstream release.
   * deb/control:
     + put team into Maintainer (for unconfirmed team uploads).
     + updated uploader email address.
     + dropped deprecated Testsuite field.
     + bumped standards to 3.9.8 (no changes needed).
   * deb/copyright: updated.

    [ Ondřej Nový ]
  * Fixed VCS URL (https).

 -- Daniel Stender <stender@debian.org>  Sat, 25 Jun 2016 09:57:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: python-svg.path
-Maintainer: Daniel Stender <debian@danielstender.com>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: python
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -10,9 +8,9 @@
                python-setuptools,
                python3-all,
                python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-svg.path.git
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-svg.path.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-svg.path.git
 Homepage: https://github.com/regebro/svg.path
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.1

## python-svg.path 3.0

=== debian/changelog ===
python-svg.path (3.0-2) unstable; urgency=medium

  * QA upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Sat, 10 Aug 2019 19:46:44 +0200

python-svg.path (3.0-1) unstable; urgency=medium

  * QA upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Fabian Wolff ]
  * New upstream release.
  * Upgrade to debhelper compat level 11.
  * Upgrade to Standards-Version 4.2.0.
  * Update watch file to version 4 format (no changes).
  * Update debian/copyright.

 -- Daniel Stender <stender@debian.org>  Sat, 25 Aug 2018 10:23:24 +0200

=== debian/control ===
Source: python-svg.path
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 11),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-svg.path
Vcs-Git: https://salsa.debian.org/python-team/modules/python-svg.path.git
Homepage: https://github.com/regebro/svg.path

Package: python3-svg.path
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: SVG path objects and parser for Python3
 In SVG (Scalable Vector Graphics), paths are used to draw simple or
 compounded shape outlines. svg.path is a collection of objects
 that implement the path commands in SVG (Line, Arc, QuadraticBezier,
 CubicBezier), and a parser for SVG path definitions.
 .
 This package contains the modules for Python3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=svg.path

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs -A README.rst

=== debian/tests/control ===
Tests: python3-svg.path
Depends: python3-all, python3-setuptools

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/svg.path/svg.path-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-svg.path 5.0.0~a1

=== debian/changelog ===
python-svg.path (5.0.0~a1-1) unstable; urgency=medium

  * QA upload.

  [ Boyuan Yang ]
  * New upstream release.
  * Bump debhelper compat to v13.
  * Bump Standards-Version to 4.6.0.
  * debian/control: Add new test-time build-dependency python3-pytest.
  * debian/tests/control: Add test dependency python3-pytest.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Sep 2021 23:38:26 -0400

=== debian/control ===
Source: python-svg.path
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
 python3-pytest <!nocheck>,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-svg.path
Vcs-Git: https://salsa.debian.org/python-team/packages/python-svg.path.git
Homepage: https://github.com/regebro/svg.path

Package: python3-svg.path
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: SVG path objects and parser for Python3
 In SVG (Scalable Vector Graphics), paths are used to draw simple or
 compounded shape outlines. svg.path is a collection of objects
 that implement the path commands in SVG (Line, Arc, QuadraticBezier,
 CubicBezier), and a parser for SVG path definitions.
 .
 This package contains the modules for Python3.

=== debian/tests/control ===
Tests: python3-svg.path
Depends:
 python3-all,
 python3-setuptools,
 python3-pytest,

## python-svg.path 6.1

=== debian/changelog ===
python-svg.path (6.1-1) unstable; urgency=medium

  * New upstream version 6.1.
  * debian/patches: Add patch to disable doctest. This is now
    problematic and needs to be fixed later. (Closes: #1010819)

 -- Boyuan Yang <byang@debian.org>  Mon, 13 Jun 2022 14:36:14 -0400

python-svg.path (6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches: Dropped, upstream no longer use custom font.

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Apr 2022 21:45:15 -0400

python-svg.path (5.1~dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Boyuan Yang ]
  * New upstream version 5.1.
  * src/svg/path/tests/din1451e.ttf: Dropped for now due to
    unclear font license.
  * debian/control: Add new test build-deps.
  * debian/patches: Add patch on src/svg.path.egg-info/SOURCES.txt
    for the font file exclusion.

 -- Boyuan Yang <byang@debian.org>  Mon, 28 Mar 2022 14:08:14 -0400

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,8 @@
  python3-all,
  python3-setuptools,
  python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-pil <!nocheck>,
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-svg.path
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-svg.path.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=svg.path

%:
	dh $@ --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs -A README.rst

## python-svg.path 6.3

=== debian/changelog ===
python-svg.path (6.3-3) unstable; urgency=medium

  * QA upload.
  * d/{control,rules,test/control}: Move to using
    autopkgtest-pkg-pybuild as the test runner.
    (Closes: #1079763, #1080460)
  * d/patches: Remove an unwanted patch.

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Fri, 06 Sep 2024 14:23:18 +0200

python-svg.path (6.3-2) unstable; urgency=medium

  * QA upload.
  * tests: Use better than nothing font (Closes: #1055159, #1058297)

 -- Benjamin Drung <bdrung@debian.org>  Fri, 15 Dec 2023 15:37:14 +0100

python-svg.path (6.3-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 6.3.
  * debian/watch: Monitor github tags instead.
  * debian/patches: Drop all old patches.
  * debian/patches/:
    + 0001-test-test_doc.py-Use-pybuild-relative-path.patch:
      Tweak file location to suit pybuild layout.

 -- Boyuan Yang <byang@debian.org>  Fri, 06 Oct 2023 19:49:12 -0400

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-svg.path
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-svg.path.git
 Homepage: https://github.com/regebro/svg.path
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-svg.path
 Architecture: all

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
 https://github.com/regebro/svg.path/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-svg.path 6.4b1

=== debian/changelog ===
python-svg.path (6.4b1-1~exp1) experimental; urgency=medium

  * QA upload.
  * New upstream version 6.4b1
  * d/control: Add pybuild-plugin-pyproject as dependency
  * d/patches: Remove patch that was applied on upstream
  * d/copyright: Add HPND License

 -- Marcos Souza <marcosfas.dev@gmail.com>  Thu, 19 Jun 2025 20:44:54 -0300

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pil <!nocheck>,
+ pybuild-plugin-pyproject,
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-svg.path
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-svg.path.git

## python-svg.path 7.0

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 # The fullrelease script is a part of zest.releaser, which is the last
 # package installed, so if it exists, the devenv is installed.
-devenv:	$(bin_dir)fullrelease setup.cfg
+devenv:	$(bin_dir)fullrelease
 
 $(bin_dir):
 	virtualenv ve --python python3.9
@@ -23,6 +23,7 @@
 check: devenv
 	$(bin_dir)black src tests
 	$(bin_dir)flake8 src tests
+	$(bin_dir)mypy
 	$(bin_dir)pyroma -d .
 	$(bin_dir)check-manifest

=== debian/changelog ===
python-svg.path (7.0-2) unstable; urgency=medium

  * QA upload.
  * Apply Multi-Arch: hint
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Add debian/salsa-ci.yml
  * Rewrite d/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Sat, 10 Jan 2026 14:59:01 +0100

python-svg.path (7.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 7.0
  * d/control: Add Rules-Requires-Root on control to resolve lintian
  * d/copyright: Bump d/* copyright to resolve lintian

 -- Marcos Souza <marcosfas.dev@gmail.com>  Wed, 10 Sep 2025 11:04:32 -0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: python-svg.path
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
+ python3-pil <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
- python3-pil <!nocheck>,
- pybuild-plugin-pyproject,
-Standards-Version: 4.6.0
+ python3-setuptools,
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-svg.path
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-svg.path.git
 Homepage: https://github.com/regebro/svg.path
@@ -19,6 +18,7 @@
 
 Package: python3-svg.path
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${python3:Depends},

=== debian/watch ===
Version: 5

Template: GitHub
Owner: regebro
Project: svg.path
